import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 主体高度
        infoHeight: '',
        frameStyle: { useTop: true, name: '审核队员', leftArrow: true, useBar: false },
        //加入团队列表
        list: [],
        // 团队id
        id: '',
        // 团队队员
        members: [],
        //审核通过的团队队员
        member: [],
        //详情
        details: {},
        show: false,
    },
    back: function () {
        wx.navigateBack({ url: '/pages/me/index' })
    },
    // 详细信息
    toView: function (e) {
        const that = this;
        let { userid } = e.currentTarget.dataset;
        that.setData({ show: true })
        //用户详情
        wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/user/${userid}`, //接口地址
            method: "get",
            data: {},
            header: {},
            success: res => {
                that.setData({ details: res.data.data })
            },
            error: err => {
            }
        })
    },
    // 审核
    toCheck: function (e) {
        const that = this;
        let { id, userid, status } = e.currentTarget.dataset;
        let id_1 = that.data.id
        wx.showModal({
            content: `您确定提交${status == '1' ? '通过' : '驳回'}操作吗?`,
            title: '提示',
            success(result) {
                if (result.confirm) {
                    if (status == '1') {
                        //修改状态-加入团队修改
                        wx.request({
                            url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply/${id}`,
                            method: "post",
                            data: { status: status },
                            header: {},
                            success: res => {
                                if (res.data.errcode === 0) {
                                    wx.showToast({ title: '审核成功', icon: 'success', duration: 2000 });
                                    that.watchLogin();
                                } else {
                                    wx.showToast({ title: res.data.errmsg, icon: 'error', duration: 2000 })
                                }
                            },
                            error: err => {
                            }
                        })
                        //用户详情
                        wx.request({
                            url: `${app.globalData.publicUrl}/courtAdmin/api/user/${userid}`, //接口地址
                            method: "get",
                            data: {},
                            header: {},
                            success: res => {
                                let member = [];
                                member.push({ id: res.data.data.id, nickname: res.data.data.nickname, icon: res.data.data.icon })
                                that.setData({ member: member })
                                let members = that.data.members;
                                members = [...members, ...member];
                                wx.request({
                                    url: `${app.globalData.publicUrl}/courtAdmin/api/team/${id_1}`,
                                    method: "post",
                                    data: { members: members },
                                    header: {},
                                    success: res => {
                                    },
                                    error: err => {
                                    }
                                })
                            },
                            error: err => {
                            }
                        })
                    } else {
                        wx.request({
                            url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply/${id}`,
                            method: "post",
                            data: { status: status },
                            header: {},
                            success: res => {
                                if (res.data.errcode === 0) {
                                    wx.showToast({ title: '审核成功', icon: 'success', duration: 2000 });
                                    that.watchLogin();
                                } else {
                                    wx.showToast({ title: res.data.errmsg, icon: 'error', duration: 2000 })
                                }
                            },
                            error: err => {
                            }
                        })

                    }
                } else if (result.cancel) { }
            }
        })
    },
    /**
    * 生命周期函数--监听页面加载
    */
    onLoad: function (options) {
        let id = options.id;
        this.setData({ id: id })
        // 计算高度
        this.searchHeight();
        // 监听用户是否登录
        this.watchLogin(id);
    },
    // 监听用户是否登录
    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'token',
            success: res => {
                wx.request({
                    url: `${app.globalData.publicUrl}/courtAdmin/api/joinapply`,
                    method: "get",
                    data: { team_id: that.data.id },
                    header: {},
                    success: res => {
                        that.setData({ list: res.data.data })
                    },
                    error: err => {
                    }
                })
                wx.request({
                    url: `${app.globalData.publicUrl}/courtAdmin/api/team/${that.data.id}`,
                    method: "get",
                    data: {},
                    header: {},
                    success: res => {
                        that.setData({ members: res.data.data.members })
                    },
                    error: err => {
                    }
                })

            },
            fail: res => {
                wx.redirectTo({ url: '/pages/login/index', })
            }
        })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})